# Packmangroup: Multimedia
# Packmanpackagename: subtitleripper
# Packman: Manfred Tremmel

%define name    subtitleripper
%define ver     0.3
%define rel     4.pm.1

Name:           %{name}
Summary:        Tools to extract DVD-subtitles
Summary(de):    Tools um DVD-Untertietel zu extrahieren
Copyright:      GPL
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://sourceforge.net/projects/subtitleripper
Version:        %{ver}
Release:        %{rel}

Source0:        subtitleripper-0.3-4.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Tools to extract DVD-subtitles

%description -l de
Tools um DVD-Untertitel zu extrahieren

%prep
%setup -n %{name}

%build
CFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir  -p  ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 pgm2txt ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 srttool ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 subtitle2pgm ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 subtitle2vobsub ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 vobsub2pgm ${RPM_BUILD_ROOT}%{_bindir}

%clean
rm -r $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
%doc ChangeLog README README.*
%{_bindir}

%changelog
* Wed Oct 20 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added missing vobsub2pgm and pgm2txt
* Sat Dec 13 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.3-4
* Sat Nov 29 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.3-3
* Sat Aug 23 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.3-2
* Sat Apr 12 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
* Fri Feb 28 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.3-1
* Sat Feb 22 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first spec file
